# 検索

全文検索システム（Xapian）の設定。

これらの設定には、**管理 > 設定 > 検索** からアクセスできます。このカテゴリには **3つの設定** が含まれており、以下にプラットフォームの設定フィクスチャ（`SettingsCurrentFixtures.php`）に含まれるタイトルとコメントを記載しています。

> コード内の変数名は等幅フォントで表示されています。APIを通じてスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `search_enabled`

**全文検索機能**

この機能を有効にするには「はい」を選択してください。この機能はPHP用のXapian拡張機能に大きく依存しているため、サーバーにこの拡張機能がインストールされていない場合、またはバージョン1.x以上がインストールされていない場合は動作しません。

*デフォルト: `false`*

### `search_prefilter_prefix`

**プリフィルター用の特定フィールド**

このオプションでは、プリフィルター検索タイプで使用する特定フィールドを選択できます。

### `search_show_unlinked_results`

**全文検索：リンクされていない結果を表示**

全文検索の結果を表示する際、現在のユーザーがアクセスできない結果をどのように扱うかを設定します。

*デフォルト: `true`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/search-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
